Index: /trunk/src/scripts_Laura/diff_frequ_AMSUA_test.py
===================================================================
--- /trunk/src/scripts_Laura/diff_frequ_AMSUA_test.py	(revision 30)
+++ /trunk/src/scripts_Laura/diff_frequ_AMSUA_test.py	(revision 30)
@@ -0,0 +1,498 @@
+#!/usr/bin/env python
+# -*- coding: utf-8 -*-
+import string
+import numpy as np
+import matplotlib.pyplot as plt
+from pylab import *
+from mpl_toolkits.basemap import Basemap
+from mpl_toolkits.basemap import shiftgrid, cm
+from netCDF4 import Dataset
+import ffgrid2
+
+
+len_month = np.array([31, 28, 31, 30, 31, 30, 31])
+month = np.array(['JANUARY', 'FEBRUARY', 'MARCH', 'APRIL', 'MAY', 'JUNE', 'JULY'])
+chan = np.array(['CH1', 'CH15'])
+################
+# CARTOGRAPHIE #
+################
+## Etude sur l'Antarctique ##
+dx = 5.
+dy = 5.
+x0, x1 = -180, 180
+y0, y1 = -90, -30
+
+
+## JANUARY ##
+imo = 0
+## ch1 ##
+fovZen_ch1_JAN = np.where(fov1_JAN == 21.)
+bbemis_ch1_JAN = nonzero((emis1_JAN[fovZen_ch1_JAN] != -500.) & (emis1_JAN[fovZen_ch1_JAN] <= 1.))
+OUTZCH1_JAN = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch1_JAN = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch1_JAN = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch1_JAN = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+## ch15 ##
+fovZen_ch15_JAN = np.where(fov15_JAN == 21.)
+bbemis_ch15_JAN = nonzero((emis15_JAN[fovZen_ch15_JAN] != -500.) & (emis15_JAN[fovZen_ch15_JAN] <= 1.))
+OUTZCH15_JAN = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch15_JAN = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch15_JAN = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch15_JAN = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+for ijr in range (0, len_month[imo]):
+    print 'jour=', ijr+1
+    ## ch1 ##
+    ind_jr1_JAN = np.where(jjr1_JAN[fovZen_ch1_JAN][bbemis_ch1_JAN] == ijr+1)[0]
+    xx = lon1_JAN[fovZen_ch1_JAN][bbemis_ch1_JAN][ind_jr1_JAN]
+    yy = lat1_JAN[fovZen_ch1_JAN][bbemis_ch1_JAN][ind_jr1_JAN]
+    zz = emis1_JAN[fovZen_ch1_JAN][bbemis_ch1_JAN][ind_jr1_JAN]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch1_JAN = outz
+    lonch1_JAN = outx
+    latch1_JAN = outy
+    OUTZCH1_JAN[:,:,ijr] = outzch1_JAN[:,:]
+    ## ch15 ##
+    ind_jr15_JAN = np.where(jjr15_JAN[fovZen_ch15_JAN][bbemis_ch15_JAN] == ijr+1)[0]
+    xx = lon15_JAN[fovZen_ch15_JAN][bbemis_ch15_JAN][ind_jr15_JAN]
+    yy = lat15_JAN[fovZen_ch15_JAN][bbemis_ch15_JAN][ind_jr15_JAN]
+    zz = emis15_JAN[fovZen_ch15_JAN][bbemis_ch15_JAN][ind_jr15_JAN]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch15_JAN = outz
+    lonch15_JAN = outx
+    latch15_JAN = outy
+    OUTZCH15_JAN[:,:,ijr] = outzch15_JAN[:,:]
+
+OUTZ_JAN = np.array([OUTZCH1_JAN, OUTZCH15_JAN])
+
+
+## FEBRUARY ##
+imo = 1
+## ch1 ##
+fovZen_ch1_FEB = np.where(fov1_FEB == 21.)
+bbemis_ch1_FEB = nonzero((emis1_FEB[fovZen_ch1_FEB] != -500.) & (emis1_FEB[fovZen_ch1_FEB] <= 1.))
+OUTZCH1_FEB = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch1_FEB = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch1_FEB = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch1_FEB = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+## ch15 ##
+fovZen_ch15_FEB = np.where(fov15_FEB == 21.)
+bbemis_ch15_FEB = nonzero((emis15_FEB[fovZen_ch15_FEB] != -500.) & (emis15_FEB[fovZen_ch15_FEB] <= 1.))
+OUTZCH15_FEB = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch15_FEB = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch15_FEB = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch15_FEB = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+for ijr in range (0, len_month[imo]):
+    print 'jour=', ijr+1
+    ## ch1 ##
+    ind_jr1_FEB = np.where(jjr1_FEB[fovZen_ch1_FEB][bbemis_ch1_FEB] == ijr+1)[0]
+    shape(ind_jr1_FEB)
+    xx = lon1_FEB[fovZen_ch1_FEB][bbemis_ch1_FEB][ind_jr1_FEB]
+    yy = lat1_FEB[fovZen_ch1_FEB][bbemis_ch1_FEB][ind_jr1_FEB]
+    zz = emis1_FEB[fovZen_ch1_FEB][bbemis_ch1_FEB][ind_jr1_FEB]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch1_FEB = outz
+    lonch1_FEB = outx
+    latch1_FEB = outy
+    OUTZCH1_FEB[:,:,ijr] = outzch1_FEB[:,:]
+    ## ch15 ##
+    ind_jr15_FEB = np.where(jjr15_FEB[fovZen_ch15_FEB][bbemis_ch15_FEB] == ijr+1)[0]
+    shape(ind_jr15_FEB)
+    xx = lon15_FEB[fovZen_ch15_FEB][bbemis_ch15_FEB][ind_jr15_FEB]
+    yy = lat15_FEB[fovZen_ch15_FEB][bbemis_ch15_FEB][ind_jr15_FEB]
+    zz = emis15_FEB[fovZen_ch15_FEB][bbemis_ch15_FEB][ind_jr15_FEB]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch15_FEB = outz
+    lonch15_FEB = outx
+    latch15_FEB = outy
+    OUTZCH15_FEB[:,:,ijr] = outzch15_FEB[:,:]
+
+OUTZ_FEB = np.array([OUTZCH1_FEB, OUTZCH15_FEB])
+
+## MARCH ##
+imo = 2
+## ch1 ##
+fovZen_ch1_MAR = np.where(fov1_MAR == 21.)
+bbemis_ch1_MAR = nonzero((emis1_MAR[fovZen_ch1_MAR] != -500.) & (emis1_MAR[fovZen_ch1_MAR] <= 1.))
+OUTZCH1_MAR = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch1_MAR = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch1_MAR = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch1_MAR = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+## ch15 ##
+fovZen_ch15_MAR = np.where(fov15_MAR == 21.)
+bbemis_ch15_MAR = nonzero((emis15_MAR[fovZen_ch15_MAR] != -500.) & (emis15_MAR[fovZen_ch15_MAR] <= 1.))
+OUTZCH15_MAR = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch15_MAR = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch15_MAR = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch15_MAR = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+for ijr in range (0, len_month[imo]):
+    print 'jour=', ijr+1
+    ## ch1 ##
+    ind_jr1_MAR = np.where(jjr1_MAR[fovZen_ch1_MAR][bbemis_ch1_MAR] == ijr+1)[0]
+    xx = lon1_MAR[fovZen_ch1_MAR][bbemis_ch1_MAR][ind_jr1_MAR]
+    yy = lat1_MAR[fovZen_ch1_MAR][bbemis_ch1_MAR][ind_jr1_MAR]
+    zz = emis1_MAR[fovZen_ch1_MAR][bbemis_ch1_MAR][ind_jr1_MAR]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch1_MAR = outz
+    lonch1_MAR = outx
+    latch1_MAR = outy
+    OUTZCH1_MAR[:,:,ijr] = outzch1_MAR[:,:]
+    ## ch15 ##
+    ind_jr15_MAR = np.where(jjr15_MAR[fovZen_ch15_MAR][bbemis_ch15_MAR] == ijr+1)[0]
+    xx = lon15_MAR[fovZen_ch15_MAR][bbemis_ch15_MAR][ind_jr15_MAR]
+    yy = lat15_MAR[fovZen_ch15_MAR][bbemis_ch15_MAR][ind_jr15_MAR]
+    zz = emis15_MAR[fovZen_ch15_MAR][bbemis_ch15_MAR][ind_jr15_MAR]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch15_MAR = outz
+    lonch15_MAR = outx
+    latch15_MAR = outy
+    OUTZCH15_MAR[:,:,ijr] = outzch15_MAR[:,:]
+
+OUTZ_MAR = np.array([OUTZCH1_MAR, OUTZCH15_MAR])
+
+
+## APRIL ##
+imo = 3
+## ch1 ##
+fovZen_ch1_APR = np.where(fov1_APR == 21.)
+bbemis_ch1_APR = nonzero((emis1_APR[fovZen_ch1_APR] != -500.) & (emis1_APR[fovZen_ch1_APR] <= 1.))
+OUTZCH1_APR = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch1_APR = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch1_APR = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch1_APR = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+## ch15 ##
+fovZen_ch15_APR = np.where(fov15_APR == 21.)
+bbemis_ch15_APR = nonzero((emis15_APR[fovZen_ch15_APR] != -500.) & (emis15_APR[fovZen_ch15_APR] <= 1.))
+OUTZCH15_APR = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch15_APR = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch15_APR = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch15_APR = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+for ijr in range (0, len_month[imo]):
+    print 'jour=', ijr+1
+    ## ch1 ##
+    ind_jr1_APR = np.where(jjr1_APR[fovZen_ch1_APR][bbemis_ch1_APR] == ijr+1)[0]
+    shape(ind_jr1_APR)
+    xx = lon1_APR[fovZen_ch1_APR][bbemis_ch1_APR][ind_jr1_APR]
+    yy = lat1_APR[fovZen_ch1_APR][bbemis_ch1_APR][ind_jr1_APR]
+    zz = emis1_APR[fovZen_ch1_APR][bbemis_ch1_APR][ind_jr1_APR]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch1_APR = outz
+    lonch1_APR = outx
+    latch1_APR = outy
+    OUTZCH1_APR[:,:,ijr] = outzch1_APR[:,:]
+    ## ch15 ##
+    ind_jr15_APR = np.where(jjr15_APR[fovZen_ch15_APR][bbemis_ch15_APR] == ijr+1)[0]
+    xx = lon15_APR[fovZen_ch15_APR][bbemis_ch15_APR][ind_jr15_APR]
+    yy = lat15_APR[fovZen_ch15_APR][bbemis_ch15_APR][ind_jr15_APR]
+    zz = emis15_APR[fovZen_ch15_APR][bbemis_ch15_APR][ind_jr15_APR]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch15_APR = outz
+    lonch15_APR = outx
+    latch15_APR = outy
+    OUTZCH15_APR[:,:,ijr] = outzch15_APR[:,:]
+
+OUTZ_APR = np.array([OUTZCH1_APR, OUTZCH15_APR])
+
+## MAY ##
+imo = 4
+## ch1 ##
+fovZen_ch1_MAY = np.where(fov1_MAY == 21.)
+bbemis_ch1_MAY = nonzero((emis1_MAY[fovZen_ch1_MAY] != -500.) & (emis1_MAY[fovZen_ch1_MAY] <= 1.))
+OUTZCH1_MAY = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch1_MAY = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch1_MAY = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch1_MAY = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+## ch15 ##
+fovZen_ch15_MAY = np.where(fov15_MAY == 21.)
+bbemis_ch15_MAY = nonzero((emis15_MAY[fovZen_ch15_MAY] != -500.) & (emis15_MAY[fovZen_ch15_MAY] <= 1.))
+OUTZCH15_MAY = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch15_MAY = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch15_MAY = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch15_MAY = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+for ijr in range (0, len_month[imo]):
+    print 'jour=', ijr+1
+    ## ch1 ##
+    ind_jr1_MAY = np.where(jjr1_MAY[fovZen_ch1_MAY][bbemis_ch1_MAY] == ijr+1)[0]
+    xx = lon1_MAY[fovZen_ch1_MAY][bbemis_ch1_MAY][ind_jr1_MAY]
+    yy = lat1_MAY[fovZen_ch1_MAY][bbemis_ch1_MAY][ind_jr1_MAY]
+    zz = emis1_MAY[fovZen_ch1_MAY][bbemis_ch1_MAY][ind_jr1_MAY]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch1_MAY = outz
+    lonch1_MAY = outx
+    latch1_MAY = outy
+    OUTZCH1_MAY[:,:,ijr] = outzch1_MAY[:,:]
+    ## ch15 ##
+    ind_jr15_MAY = np.where(jjr15_MAY[fovZen_ch15_MAY][bbemis_ch15_MAY] == ijr+1)[0]
+    xx = lon15_MAY[fovZen_ch15_MAY][bbemis_ch15_MAY][ind_jr15_MAY]
+    yy = lat15_MAY[fovZen_ch15_MAY][bbemis_ch15_MAY][ind_jr15_MAY]
+    zz = emis15_MAY[fovZen_ch15_MAY][bbemis_ch15_MAY][ind_jr15_MAY]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch15_MAY = outz
+    lonch15_MAY = outx
+    latch15_MAY = outy
+    OUTZCH15_MAY[:,:,ijr] = outzch15_MAY[:,:]
+
+OUTZ_MAY = np.array([OUTZCH1_MAY, OUTZCH15_MAY])
+
+
+## JUNE ##
+imo = 5
+## ch1 ##
+fovZen_ch1_JUN = np.where(fov1_JUN == 21.)
+bbemis_ch1_JUN = nonzero((emis1_JUN[fovZen_ch1_JUN] != -500.) & (emis1_JUN[fovZen_ch1_JUN] <= 1.))
+OUTZCH1_JUN = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch1_JUN = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch1_JUN = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch1_JUN = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+## ch15 ##
+fovZen_ch15_JUN = np.where(fov15_JUN == 21.)
+bbemis_ch15_JUN = nonzero((emis15_JUN[fovZen_ch15_JUN] != -500.) & (emis15_JUN[fovZen_ch15_JUN] <= 1.))
+OUTZCH15_JUN = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch15_JUN = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch15_JUN = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch15_JUN = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+for ijr in range (0, len_month[imo]):
+    print 'jour=', ijr+1
+    ## ch1 ##
+    ind_jr1_JUN = np.where(jjr1_JUN[fovZen_ch1_JUN][bbemis_ch1_JUN] == ijr+1)[0]
+    xx = lon1_JUN[fovZen_ch1_JUN][bbemis_ch1_JUN][ind_jr1_JUN]
+    yy = lat1_JUN[fovZen_ch1_JUN][bbemis_ch1_JUN][ind_jr1_JUN]
+    zz = emis1_JUN[fovZen_ch1_JUN][bbemis_ch1_JUN][ind_jr1_JUN]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch1_JUN = outz
+    lonch1_JUN = outx
+    latch1_JUN = outy
+    OUTZCH1_JUN[:,:,ijr] = outzch1_JUN[:,:]
+    ## ch15 ##
+    ind_jr15_JUN = np.where(jjr15_JUN[fovZen_ch15_JUN][bbemis_ch15_JUN] == ijr+1)[0]
+    xx = lon15_JUN[fovZen_ch15_JUN][bbemis_ch15_JUN][ind_jr15_JUN]
+    yy = lat15_JUN[fovZen_ch15_JUN][bbemis_ch15_JUN][ind_jr15_JUN]
+    zz = emis15_JUN[fovZen_ch15_JUN][bbemis_ch15_JUN][ind_jr15_JUN]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch15_JUN = outz
+    lonch15_JUN = outx
+    latch15_JUN = outy
+    OUTZCH15_JUN[:,:,ijr] = outzch15_JUN[:,:]
+
+OUTZ_JUN = np.array([OUTZCH1_JUN, OUTZCH15_JUN])
+
+
+## JULY ##
+imo = 6
+## ch1 ##
+fovZen_ch1_JUL = np.where(fov1_JUL == 21.)
+bbemis_ch1_JUL = nonzero((emis1_JUL[fovZen_ch1_JUL] != -500.) & (emis1_JUL[fovZen_ch1_JUL] <= 1.))
+OUTZCH1_JUL = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch1_JUL = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch1_JUL = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch1_JUL = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+## ch15 ##
+fovZen_ch15_JUL = np.where(fov15_JUL == 21.)
+bbemis_ch15_JUL = nonzero((emis15_JUL[fovZen_ch15_JUL] != -500.) & (emis15_JUL[fovZen_ch15_JUL] <= 1.))
+OUTZCH15_JUL = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx)),len_month[imo]], float)
+outzch15_JUL = np.zeros([len(np.arange(y0, y1+1, dy)),len(np.arange(x0, x1+1, dx))], float)
+lonch15_JUL = np.zeros([len(np.arange(x0, x1+1, dx))], float)
+latch15_JUL = np.zeros([len(np.arange(y0, y1+1, dy))], float)
+for ijr in range (0, len_month[imo]):
+    print 'jour=', ijr+1
+    ## ch1 ##
+    ind_jr1_JUL = np.where(jjr1_JUL[fovZen_ch1_JUL][bbemis_ch1_JUL] == ijr+1)[0]
+    xx = lon1_JUL[fovZen_ch1_JUL][bbemis_ch1_JUL][ind_jr1_JUL]
+    yy = lat1_JUL[fovZen_ch1_JUL][bbemis_ch1_JUL][ind_jr1_JUL]
+    zz = emis1_JUL[fovZen_ch1_JUL][bbemis_ch1_JUL][ind_jr1_JUL]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch1_JUL = outz
+    lonch1_JUL = outx
+    latch1_JUL = outy
+    OUTZCH1_JUL[:,:,ijr] = outzch1_JUL[:,:]
+    ## ch15 ##
+    ind_jr15_JUL = np.where(jjr15_JUL[fovZen_ch15_JUL][bbemis_ch15_JUL] == ijr+1)[0]
+    xx = lon15_JUL[fovZen_ch15_JUL][bbemis_ch15_JUL][ind_jr15_JUL]
+    yy = lat15_JUL[fovZen_ch15_JUL][bbemis_ch15_JUL][ind_jr15_JUL]
+    zz = emis15_JUL[fovZen_ch15_JUL][bbemis_ch15_JUL][ind_jr15_JUL]
+    zz0 = min(zz)
+    zz1 = max(zz)
+    outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0, x1, y0, y1, zz0, zz1)
+    outzch15_JUL = outz
+    lonch15_JUL = outx
+    latch15_JUL = outy
+    OUTZCH15_JUL[:,:,ijr] = outzch15_JUL[:,:]
+
+OUTZ_JUL = np.array([OUTZCH1_JUL, OUTZCH15_JUL])
+
+
+################################################
+## calcul de la climatologie moyenne par mois ##
+################################################
+lon = lonch1_FEB 
+lat = latch1_FEB 
+## JANUARY ##
+mean_outz_JAN = np.zeros([len(chan), len(lat), len(lon)], float)
+for ich in range (0, len(chan)):
+    for ilon in range (0, len(lon)):
+        for ilat in range (0, len(lat)):
+            mean_outz_JAN[ich, ilat, ilon] = mean(OUTZ_JAN[ich, ilat, ilon, :][nonzero(isnan(OUTZ_JAN[ich, ilat, ilon, :]) == False)])
+
+## FEBRUARY ##
+mean_outz_FEB = np.zeros([len(chan), len(lat), len(lon)], float)
+for ich in range (0, len(chan)):
+    for ilon in range (0, len(lon)):
+        for ilat in range (0, len(lat)):
+            mean_outz_FEB[ich, ilat, ilon] = mean(OUTZ_FEB[ich, ilat, ilon, :][nonzero(isnan(OUTZ_FEB[ich, ilat, ilon, :]) == False)])
+
+## MARCH ##
+mean_outz_MAR = np.zeros([len(chan), len(lat), len(lon)], float)
+for ich in range (0, len(chan)):
+    for ilon in range (0, len(lon)):
+        for ilat in range (0, len(lat)):
+            mean_outz_MAR[ich, ilat, ilon] = mean(OUTZ_MAR[ich, ilat, ilon, :][nonzero(isnan(OUTZ_MAR[ich, ilat, ilon, :]) == False)])
+
+## APRIL ##
+mean_outz_APR = np.zeros([len(chan), len(lat), len(lon)], float)
+for ich in range (0, len(chan)):
+    for ilon in range (0, len(lon)):
+        for ilat in range (0, len(lat)):
+            mean_outz_APR[ich, ilat, ilon] = mean(OUTZ_APR[ich, ilat, ilon, :][nonzero(isnan(OUTZ_APR[ich, ilat, ilon, :]) == False)])
+
+## MAY ##
+mean_outz_MAY = np.zeros([len(chan), len(lat), len(lon)], float)
+for ich in range (0, len(chan)):
+    for ilon in range (0, len(lon)):
+        for ilat in range (0, len(lat)):
+            mean_outz_MAY[ich, ilat, ilon] = mean(OUTZ_MAY[ich, ilat, ilon, :][nonzero(isnan(OUTZ_MAY[ich, ilat, ilon, :]) == False)])
+
+## JUN ##
+mean_outz_JUN = np.zeros([len(chan), len(lat), len(lon)], float)
+for ich in range (0, len(chan)):
+    for ilon in range (0, len(lon)):
+        for ilat in range (0, len(lat)):
+            mean_outz_JUN[ich, ilat, ilon] = mean(OUTZ_JUN[ich, ilat, ilon, :][nonzero(isnan(OUTZ_JUN[ich, ilat, ilon, :]) == False)])
+
+## JULY ##
+mean_outz_JUL = np.zeros([len(chan), len(lat), len(lon)], float)
+for ich in range (0, len(chan)):
+    for ilon in range (0, len(lon)):
+        for ilat in range (0, len(lat)):
+            mean_outz_JUL[ich, ilat, ilon] = mean(OUTZ_JUL[ich, ilat, ilon, :][nonzero(isnan(OUTZ_JUL[ich, ilat, ilon, :]) == False)])
+
+
+mean_outz1 = np.array([mean_outz_FEB, mean_outz_APR, mean_outz_JUL])
+mean_outz2 = np.array([mean_outz_JAN, mean_outz_MAR, mean_outz_MAY, mean_outz_JUN])
+
+
+
+month_red = np.array(['JANUARY', 'MARCH', 'MAY', 'JUNE'])
+for imo in range (0, 4):
+    plt.figure()
+    plt.ion()
+    for ich in range (0, len(chan)):
+        plt.subplot(2, 1, ich+1)
+        m = Basemap(llcrnrlon=-180, urcrnrlon=180, llcrnrlat=-90, urcrnrlat=-30, projection='cyl', resolution='c', fix_aspect=True)
+        m.drawcoastlines(linewidth = 1)
+        m.drawparallels(np.arange(-90., -30., 20))
+        m.drawmeridians(np.arange(-180., 180., 20))
+        xii,yii = m(*np.meshgrid(lon, lat))
+        clevs = (arange(0.4, 1., 0.001))
+        cs = m.contourf(xii, yii, mean_outz2[imo, ich, :, :], clevs, cmap=cm.s3pcpn_l_r)
+        cbar = colorbar(cs)
+        cbar.set_label(chan[ich]+' - 23.8GHz - ' + month_red[imo] + ' - AMSUA')
+        xticks(arange(-180, 200, 20), rotation = 45)
+        yticks(arange(-90, -10, 20))
+
+
+######################
+## calculs de stats ##
+######################
+## FEBRUARY ##
+imo = 1
+### VARIANCE ##
+var = np.zeros([len(chan), len(lat), len(lon)], float)
+for ich in range (0, len(chan)):
+    for ilon in range (0, len(lon)):
+        for ilat in range (0, len(lat)):
+            var[ich, ilat, ilon] = np.sum((OUTZ_FEB[ich, ilat, ilon, :][nonzero(isnan(OUTZ_FEB[ich, ilat, ilon, :]) == False)] - mean_outz_FEB[ich, ilat, ilon])**2)
+
+var_FEB = var / len_month[imo]
+
+## APRIL ##
+imo = 3
+### VARIANCE ##
+var = np.zeros([len(chan), len(lat), len(lon)], float)
+for ich in range (0, len(chan)):
+    for ilon in range (0, len(lon)):
+        for ilat in range (0, len(lat)):
+            var[ich, ilat, ilon] = np.sum((OUTZ_APR[ich, ilat, ilon, :][nonzero(isnan(OUTZ_APR[ich, ilat, ilon, :]) == False)] - mean_outz_APR[ich, ilat, ilon])**2)
+
+var_APR = var / len_month[imo]
+
+## JULY ##
+imo = 6
+### VARIANCE ##
+var = np.zeros([len(chan), len(lat), len(lon)], float)
+for ich in range (0, len(chan)):
+    for ilon in range (0, len(lon)):
+        for ilat in range (0, len(lat)):
+            var[ich, ilat, ilon] = np.sum((OUTZ_JUL[ich, ilat, ilon, :][nonzero(isnan(OUTZ_JUL[ich, ilat, ilon, :]) == False)] - mean_outz_JUL[ich, ilat, ilon])**2)
+
+var_JUL = var / len_month[imo]
+
+
+
+
+plt.figure()
+plt.ion()
+#plt.subplot(2, 1, 1)
+m = Basemap(llcrnrlon=-180, urcrnrlon=180, llcrnrlat=-90, urcrnrlat=-30, projection='cyl', resolution='c', fix_aspect=True)
+m.drawcoastlines(linewidth = 1)
+m.drawparallels(np.arange(-90., -30., 20))
+m.drawmeridians(np.arange(-180., 180., 20))
+xii,yii = m(*np.meshgrid(lon, lat))
+clevs = (arange(0.5, 0.9, 0.001))
+cs = m.contourf(xii, yii, OUTZ_JAN[0, :, :,20], clevs, cmap=cm.s3pcpn_l_r)
+cbar = colorbar(cs)
+cbar.set_label('CH1 - 23.8GHz')
+plt.title('var(emis) JUL - AMSUA')
+xticks(arange(-180, 200, 20), rotation = 45)
+yticks(arange(-90, -10, 20))
+plt.subplot(2, 1, 2)
+m = Basemap(llcrnrlon=-180, urcrnrlon=180, llcrnrlat=-90, urcrnrlat=-30, projection='cyl', resolution='c', fix_aspect=True)
+m.drawcoastlines(linewidth = 1)
+m.drawparallels(np.arange(-90., -30., 20))
+m.drawmeridians(np.arange(-180., 180., 20))
+xii,yii = m(*np.meshgrid(lon, lat))
+clevs = (arange(0., 0.0035, 0.00001))
+cs = m.contourf(xii, yii, var_JUL[1, :, :], clevs, cmap=cm.s3pcpn_l_r)
+cbar = colorbar(cs)
+cbar.set_label('CH15 - 89GHz')
+xticks(arange(-180, 200, 20), rotation = 45)
+yticks(arange(-90, -10, 20))
+
+
+
+
+
